org.wildfly.swarm.config.management.security_realm

## Class LdapAuthorization.LdapAuthorizationResources

- java.lang.Object
- - org.wildfly.swarm.config.management.security_realm.LdapAuthorization.LdapAuthorizationResources

- Enclosing class:
    LdapAuthorization<T extends LdapAuthorization<T>>

      public static class LdapAuthorization.LdapAuthorizationResources
      extends Object

  Child mutators for LdapAuthorization

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LdapAuthorizationResources()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AdvancedFilterUsernameToDn` | `advancedFilterUsernameToDn()` An advanced filter configuration to identify the users distinguished name from the username.
    `GroupToPrincipalGroupSearch` | `groupToPrincipalGroupSearch()` A group search where the group entry contains an attribute referencing it's members.
    `PrincipalToGroupGroupSearch` | `principalToGroupGroupSearch()` A group search where the principal entries contain an attribute referencing the groups that they are a member of.
    `UsernameFilterUsernameToDn` | `usernameFilterUsernameToDn()` A simple filter configuration to identify the users distinguished name from their username.
    `UsernameIsDnUsernameToDn` | `usernameIsDnUsernameToDn()` User search configuration where the username is already a distinguished name.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LdapAuthorizationResources

          public LdapAuthorizationResources()

  - ### Method Detail

    - #### usernameFilterUsernameToDn

          public UsernameFilterUsernameToDn usernameFilterUsernameToDn()

      A simple filter configuration to identify the users distinguished name from their username.

    - #### groupToPrincipalGroupSearch

          public GroupToPrincipalGroupSearch groupToPrincipalGroupSearch()

      A group search where the group entry contains an attribute referencing it's members.

    - #### advancedFilterUsernameToDn

          public AdvancedFilterUsernameToDn advancedFilterUsernameToDn()

      An advanced filter configuration to identify the users distinguished name from the username.

    - #### usernameIsDnUsernameToDn

          public UsernameIsDnUsernameToDn usernameIsDnUsernameToDn()

      User search configuration where the username is already a distinguished name.

    - #### principalToGroupGroupSearch

          public PrincipalToGroupGroupSearch principalToGroupGroupSearch()

      A group search where the principal entries contain an attribute referencing the groups that they are a member of.

Copyright © 2017 JBoss by Red Hat. All rights reserved.